commit: 654b73fc63c273a640c09e89914ed5b36f8ec474
Author: NHOrus <jy6x2b32pie9 <AT> yahoo <DOT> com>
AuthorDate: Thu Jan 30 15:14:39 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Feb 10 08:51:47 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=654b73fc
sys-devel/smatch: add 1.73
Version bump for new release
Signed-off-by: NHOrus <jy6x2b32pie9 <AT> yahoo.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-devel/smatch/Manifest | 1 +
sys-devel/smatch/smatch-1.73.ebuild | 73 +++++++++++++++++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/sys-devel/smatch/Manifest b/sys-devel/smatch/Manifest
index 9ca3a1ada7b3..ee90b12a7820 100644
--- a/sys-devel/smatch/Manifest
+++ b/sys-devel/smatch/Manifest
@@ -1 +1,2 @@
DIST smatch-1.72.tar.gz 1431923 BLAKE2B
ec4119fce985876afc9a46a74a0a56e8e8cb271a964c16496972c59ade95aa3d2df3a839a819e31cb081ca8a3b1f6bf6934ec97d73209091cfd86c87c1433557
SHA512
6d12e9ba85f332fcc56657296596e811cf3b75d4ad37007e07feb31baa4b315732361915972a2139ae13f75b8a73f953488ceb9de41529db9e84c81fb6fde77e
+DIST smatch-1.73.tar.gz 1472634 BLAKE2B
189a1f6dd684689a47afb848e5429b9e009c17c55df572e62d70802138861a4b95068a1ce7c93ac749219dc72d540cc69e9809b397b7e54af568a85c389fa080
SHA512
ea878f3e04c8a8cb5476ccf6b6fffe660380ab1ac3fad76f5793a072f692c534c4db46fed79c1e6bad7c3fac1f367b9ebb67cc77265beacfdbec38cc9b85fdd3
diff --git a/sys-devel/smatch/smatch-1.73.ebuild
b/sys-devel/smatch/smatch-1.73.ebuild
new file mode 100644
index 000000000000..4ad7e5da59b7
--- /dev/null
+++ b/sys-devel/smatch/smatch-1.73.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://repo.or.cz/${PN}.git
+ https://repo.or.cz/r/${PN}.git"
+ inherit git-r3
+else
+ SRC_URI="https://repo.or.cz/w/smatch.git/snapshot/${PV}.tar.gz ->
${P}.tar.gz
+ mirror://gentoo/${P}.tar.gz"
+ # Update on bumps
+ S="${WORKDIR}"/${P}-2b596bf
+
+ KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~s390 ~sparc ~x86"
+fi
+
+DESCRIPTION="Static analysis tool for C"
+HOMEPAGE="https://smatch.sourceforge.net/"
+
+# bug #853733
+LICENSE="GPL-2+ MIT OSL-1.1"
+SLOT="0"
+
+RDEPEND="dev-db/sqlite"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.72-C23.patch"
+ "${FILESDIR}/${PN}-1.72-function-prototype.patch"
+)
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's:pkg-config:$(PKG_CONFIG):' \
+ Makefile || die
+}
+
+_emake() {
+ # gtk/llvm/xml is used by sparse which we don't install
+ emake \
+ PREFIX="${EPREFIX}/usr" \
+ V=1 \
+ AR="$(tc-getAR)" \
+ CC="$(tc-getCC)" \
+ LD='$(CC)' \
+ PKG_CONFIG="$(tc-getPKG_CONFIG)" \
+ HAVE_GTK2=no \
+ HAVE_LLVM=no \
+ HAVE_LIBXML=no \
+ "$@"
+}
+
+src_compile() {
+ _emake smatch
+}
+
+src_test() {
+ _emake check
+}
+
+src_install() {
+ # default install target installs a lot of sparse cruft
+ dobin smatch cgcc
+ insinto /usr/share/smatch/smatch_data
+ doins smatch_data/*
+ dodoc FAQ Documentation/smatch.rst
+}